Bug 59084 - PIVOTTABLE refreshing with date group field crashes
Summary: PIVOTTABLE refreshing with date group field crashes
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.6.4.3 release
Hardware: Other Linux (All)
: medium normal
Assignee: Kohei Yoshida
QA Contact:
URL:
Whiteboard: BSA target:4.1.0 target:4.0.0.2 targe...
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-06 17:03 UTC by klausk
Modified: 2013-01-11 16:10 UTC (History)
2 users (show)

See Also:


Attachments
an ods-file with the macro bundled to the event chance content (15.80 KB, application/vnd.oasis.opendocument.spreadsheet)
2013-01-06 17:03 UTC, klausk
Details
bt + console logs with 3.6 sources (12.31 KB, text/plain)
2013-01-10 21:41 UTC, Julien Nabet
Details
bt + console logs on master (16.16 KB, text/plain)
2013-01-10 21:55 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description klausk 2013-01-06 17:03:37 UTC
Created attachment 72590 [details]
an ods-file with the macro bundled to the event chance content

Problem description: 

Steps to reproduce:
1. select more than one cell in the area A4:E10
2. after delete the ods-file crashes
3. the macro which is bundeled to content change event cann't refresh the datapilot

Current behavior:
the ods-file crashes

Expected behavior:
refresh the datapilot
              
Operating System: Ubuntu
Version: 3.6.4.3 release
Comment 1 Julien Nabet 2013-01-10 21:24:41 UTC
On pc Debian x86-64 with master sources updated yesterday, I don't reproduce the crash.
However, noticed these kinds of logs:
warn:basic.sbx:6251:1:/home/julien/compile-libreoffice/libo/basic/source/sbx/sbxvalue.cxx:190: nicht bei Parent-Prop - sonst CyclicRef
warn:legacy.osl:6251:1:/home/julien/compile-libreoffice/libo/sc/source/core/data/dpsave.cxx:1083: ScDPSaveData::WriteToSource
Comment 2 Julien Nabet 2013-01-10 21:41:46 UTC
Created attachment 72812 [details]
bt + console logs with 3.6 sources

With 3.6 sources updated yesterday, I reproduced the crash.

I attach console + bt
Comment 3 Julien Nabet 2013-01-10 21:55:26 UTC
Created attachment 72813 [details]
bt + console logs on master

Finally, I could reproduce the bug even with master sources.
First I deleted the 2 lines A4:E5, then A6:E7 and had the crash.
Comment 4 Julien Nabet 2013-01-10 21:57:03 UTC
Kohei: crash with DP, bt on master updated yesterday attached, one for you?
Comment 5 Kohei Yoshida 2013-01-11 02:59:59 UTC
Ah, I see why it crashes.
Comment 6 Not Assigned 2013-01-11 04:52:38 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3db92283955741b490dc2d4f9e1782b179fee894

fdo#59084: Sync dimension members after reloading the group data.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Not Assigned 2013-01-11 05:14:56 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=cae060de53cbfc0737a75ed156aec8c383a14918&h=libreoffice-4-0

fdo#59084: Sync dimension members after reloading the group data.


It will be available in LibreOffice 4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Kohei Yoshida 2013-01-11 05:20:06 UTC
Fixed.
Comment 9 Julien Nabet 2013-01-11 06:30:42 UTC
Thank you Kohei! An idea about 3.6?
Comment 10 Kohei Yoshida 2013-01-11 15:15:50 UTC
Just pushed for gerrit review for 3.6.  Yes, the fix is applicable to 3.6 as well.
Comment 11 Not Assigned 2013-01-11 16:10:09 UTC
Kohei Yoshida committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1975fe4be8347d244643a0fbab20357485d41522&h=libreoffice-3-6

fdo#59084: Sync dimension members after reloading the group data.


It will be available in LibreOffice 3.6.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.